Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PCSX2 for Debian/Ubuntu
#31
(05-14-2012, 07:34 PM)gregory Wrote: we made some improvement to the plugins but it was not fully tested. Normally you should go for 0.4.0. If doesn t work on 0.4 but it is good on 0.3, please report it.

edit by the way Gsdx is based on openGL albeit experimental.

I'm using 0.4.0 at the moment and it seems almos the same thing as 0.3.0, I'm gonna give other games a try. I'd tested gsdx on the last ppa build and it was way slower than the ogl plugins. Gonna give this new build a try.

Thanks for the info!
Athlon II x2 245 (@3.6Ghz), 6gb DDR3 1333, GeForce GTS250 2gb Ram, Linux Mint 12 32bit.
Reply

Sponsored links

#32
yes 0.4 and 0.3 are very similar. Gsdx it depends, if you use sw renderer most computing is fone by the cpu. HW rendere wil be faster but it is a bit buggy at the moment
Reply
#33
The current version of gsdx doesn't work for me. Both hardware and software mode give me a white screen.
Athlon II x2 245 (@3.6Ghz), 6gb DDR3 1333, GeForce GTS250 2gb Ram, Linux Mint 12 32bit.
Reply
#34
Heart 
Hello, i installed PCSX2 via PPA of gregory on Kubuntu 12.04 64 Bits, it works fine Smile

Here are some results according to the selected videos GSdx plugins or ZZOGL.

GSDX Opengl mode Native resolution :

http://uppix.net/d/b/b/0ca99d1db30efefe8...c16032.jpg

Bad graphics, good FPS !

GSDX Opengl mode X2 resolution :

http://uppix.net/a/c/4/8225fabc8cfd30159...4c6a2e.jpg

Bad graphics, FPS/2 Sad

GSDX Software mode :

http://uppix.net/0/6/c/07ff0ba4a5a80d8ea...60e01f.jpg

Good graphics, bad FPS (2 threads) !

ZZogl antialiasing X8 :

http://uppix.net/0/a/5/aa69106a61c0b182f...7b226e.jpg

good graphics, good FPS Smile

Spec :

Amd Athlon X3 460 3.4 Ghz
4 go DD3
Nvidia GTX 460 with proprietary driver (295.49)
Kubuntu 12.04 64 Bits and composite desactivate for the test.

Voila Smile

Excuse my english, i'm french. Thanks gregory for the PPA and good works Smile
Reply
#35
@gregory: Is it okay to use KUBUNTU 64 bit?
and i want to ask which one you prefer KUBUNTU 32bit or 64bit?
Reply
#36
A 64 bits version is fine but you must use latest Ubuntu version ie Precise.
Reply
#37
It could be cool for new users if the PPA was on the website.
http://pcsx2.net/download/releases/linux.html
Reply
#38
Hello Gregory, I'm using ubuntu precise 64bits and I would like to know if the PPA package is usuable with AMD radeon graphic card?
Config: Ubuntu 14.04 - Nvidia GX770 with 331.113 drivers - Processor Intel i5-3570 3,4 Ghz - 8 Go RAM
Reply
#39
@rydroid, I hope to include PCSX2 into Debian/Ubuntu.

@legluondunet, yes you can use my PPA. You need to manually tell apt (or your package manager to use the 32 bits version), for example sudo apt-get install pcsx2-unstable:i386
You also need to install the 32bits version of your driver. Radeon opensource driver is not yet ready so use catalyst.
Reply
#40
Hey guys, after the latest update to my Kubuntu 12.04 32bit PCSX2 got automatically uninstalled and when I try to install it again from the ppa I get the following message:

Quote:wingnux@wingnux-desktop:~$ sudo apt-get install pcsx2-unstable
[sudo] password for wingnux:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
pcsx2-unstable:i386 : Depends: libwxgtk2.8-0:i386 (>= 2.8.12.1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I've tried to run the 1.0 build from PCSX2.net but I get error about missing libraries and those are not present on the Ubuntu repository:

Quote:wingnux@wingnux-desktop:~/jogos/pcsx2-1.0.0$ ./launch_pcsx2_linux.sh
ERROR the plugin (plugins/libdev9null-0.5.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libGSnull.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libspu2x-2.0.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found
libwx_gtk2u_core-2.8.so.0 => not found
libwx_gtk2u_adv-2.8.so.0 => not found

ERROR the plugin (plugins/libUSBnull-0.7.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libPADnull.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libGSdx-0.1.16.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libCDVDnull.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libSPU2null.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libonepad-1.1.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

ERROR the plugin (plugins/libzzogl-0.4.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found
libwx_gtk2u_core-2.8.so.0 => not found
libwx_gtk2u_adv-2.8.so.0 => not found

ERROR the plugin (plugins/libFWnull-0.7.0.so) miss some dependencies
libgdk-x11-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found

./pcsx2: error while loading shared libraries: libwx_gtk2u_core-2.8.so.0: cannot open shared object file: No such file or directory

Any help?

SOLVED! Sorry guys, just had to "sudo apt-get install libwxgtk2.8-0:i386" and now pcsx2 is installed =)
Athlon II x2 245 (@3.6Ghz), 6gb DDR3 1333, GeForce GTS250 2gb Ram, Linux Mint 12 32bit.
Reply




Users browsing this thread: 1 Guest(s)